Version: 1.0
Release: alt6
Name: emacs-elib
Copyright: GPL
Group: Editors
Url: ftp://ftp.lysator.liu.se/pub/emacs/
Summary: The Emacs Lisp Library
Summary(ru_RU.CP1251):    Emacs

Source: elib-%{version}.tar.gz
Source1: elib-emacs.el
Patch: elib-%{version}-texinfo.patch

Obsoletes: elib
Provides: elib = %version

BuildArch: noarch

Requires: emacs-common
# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common

%description
Elib contains code for:
 - container data structures (queues, stacks, AVL trees, etc)
 - string handling functions missing in standard emacs
 - minibuffer handling functions missing in standard emacs
 - routines for handling lists of so called cookies in a buffer.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
Elib   :
 -   (, ,   ..)
 -   ,      emacs
 -    
 -       

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n elib-%{version}
%patch -p1

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/elib
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/elib

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 elib.info* $RPM_BUILD_ROOT%{_infodir}

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/20elib.el

%clean

%post
%install_info elib.info

%preun
%uninstall_info elib.info

%files
%defattr(-, root, root)
%doc README RELEASING INSTALL ChangeLog NEWS TODO
%{_infodir}/*
%{_emacslispdir}/elib/*.elc
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/elib/*.el

%changelog
* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 1.0-alt6
- Fixing spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.0-alt5
- fixing spec

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 1.0-alt3
- Splitting on byte-compiled & source packages

* Mon Aug 12 2002 Ott Alex <ott@altlinux.ru> 1.0-alt2
- Correcting spec file

* Mon Aug 12 2002 Ott Alex <ott@altlinux.ru> 1.0-alt1
- Initial build
